### Class

# GVnc Cursor

#### Description

    class GVnc.Cursor : GObject.Object
    {
      VncCursorPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### vnc_cursor_new

Creates a new cursor using the bitmap data in `data` which should be `width` * `height` * 4 in size. The `data` parameter should be in the RGBA format, so each pixel is 32-bits in size.

#### Instance methods

###### vnc_cursor_get_data

Get the bitmap data representing the cursor.

###### vnc_cursor_get_height

Get the height of the cursor bitmap.

###### vnc_cursor_get_hotx

Get the horizontal position of the cursor hot point.

###### vnc_cursor_get_hoty

Get the vertical position of the cursor hot point.

###### vnc_cursor_get_width

Get the width of the cursor bitmap.

###### vnc_cursor_is_visible

Determine whether the rendered cursor has any visible pixels.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GVnc.Cursor:data

No description available.

###### GVnc.Cursor:height

No description available.

###### GVnc.Cursor:hotx

No description available.

###### GVnc.Cursor:hoty

No description available.

###### GVnc.Cursor:width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GVncCursorClass {
      GObjectClass parent_class;
      gpointer _vnc_reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_vnc_reserved: gpointer`

  No description available.